Storyden
Nodes

Node List Children

Get all the children of a given node using the provided filters and page parameters. This can be used for rendering the child nodes of the given node as an interactive table where properties can be used as columns.

GET
/nodes/{node_slug}/children

Get all the children of a given node using the provided filters and page parameters. This can be used for rendering the child nodes of the given node as an interactive table where properties can be used as columns.

Authorization

cookiestoryden-session<token>

Path Parameters

node_slug*string

Unique node Slug.

Formatxid

Query Parameters

children_sort?string

The field (either in schema or in property schema) to sort by.

page?string

Pagination query parameters.

q?string

Search query string.

Length0 <= length
tags?array<>

Tags to filter by.

Response Body

Node list.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
nodes*array<>
Example Request
curl -X GET 'https://example.com/api/nodes/string/children'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "nodes": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "slug": "string",      "current_version_id": "string",      "assets": [        {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        }      ],      "link": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "url": "string",        "slug": "string",        "domain": "string",        "title": "string",        "description": "string",        "favicon_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "primary_image": {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        },        "liveness_status": "unknown",        "liveness_checked_at": "2019-08-24T14:15:22Z",        "scrape_status": "pending",        "scrape_attempted_at": "2019-08-24T14:15:22Z",        "scraped_at": "2019-08-24T14:15:22Z"      },      "description": "string",      "primary_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "content": "string",      "owner": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "parent": {},      "hide_child_tree": true,      "tags": [        {          "name": "string",          "colour": "string",          "item_count": 0        }      ],      "visibility": "draft",      "relevance_score": 0,      "meta": {},      "recomentations": [        {          "kind": "post",          "ref": {            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "deletedAt": "2019-08-24T14:15:22Z",            "misc": {},            "title": "string",            "description": "string",            "slug": "string",            "author": {              "id": "string",              "joined": "2019-08-24T14:15:22Z",              "suspended": "2019-08-24T14:15:22Z",              "handle": "string",              "name": "string",              "signature": "string",              "roles": [                {                  "badge": true,                  "default": true,                  "id": "string",                  "name": "string",                  "colour": "string",                  "meta": {}                }              ]            },            "visibility": "draft",            "assets": [              {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              }            ],            "reacts": [              {                "id": "string",                "emoji": "string",                "author": {                  "id": "string",                  "joined": "2019-08-24T14:15:22Z",                  "suspended": "2019-08-24T14:15:22Z",                  "handle": "string",                  "name": "string",                  "signature": "string",                  "roles": [                    {                      "badge": true,                      "default": true,                      "id": "string",                      "name": "string",                      "colour": "string",                      "meta": {}                    }                  ]                }              }            ],            "collections": {              "in_collections": 0,              "has_collected": true            },            "likes": {              "likes": 0,              "liked": true            },            "meta": {},            "body": "string",            "body_links": [              {                "id": "string",                "createdAt": "2019-08-24T14:15:22Z",                "updatedAt": "2019-08-24T14:15:22Z",                "deletedAt": "2019-08-24T14:15:22Z",                "misc": {},                "url": "string",                "slug": "string",                "domain": "string",                "title": "string",                "description": "string",                "favicon_image": {                  "id": "string",                  "filename": "string",                  "path": "string",                  "mime_type": "string",                  "width": 0,                  "height": 0,                  "parent": {}                },                "primary_image": {                  "id": "string",                  "filename": "string",                  "path": "string",                  "mime_type": "string",                  "width": 0,                  "height": 0,                  "parent": {}                },                "liveness_status": "unknown",                "liveness_checked_at": "2019-08-24T14:15:22Z",                "scrape_status": "pending",                "scrape_attempted_at": "2019-08-24T14:15:22Z",                "scraped_at": "2019-08-24T14:15:22Z"              }            ]          }        }      ],      "properties": [        {          "fid": "string",          "name": "string",          "type": "text",          "value": "string",          "sort": "string"        }      ],      "child_property_schema": [        {          "fid": "string",          "name": "string",          "type": "text",          "sort": "string"        }      ],      "children": [        {}      ]    }  ]}